#pragma once

#include "IInstallModule.h"

class RemoveInstallModule : public IInstallModule
{
public:
	RemoveInstallModule(const TCHAR *guid, const TCHAR *installer_path, const TCHAR *installer_param, int installer_type, int execute_option) : IInstallModule(guid), m_installer_path(installer_path), m_installer_param(installer_param), m_installer_type(installer_type), m_execute_option(execute_option)
	{
		
	}

	virtual ~RemoveInstallModule()
	{

	}

	/** 
	* @fn BOOL Install(IInstallModuleCallback* callback)
	* @brief Install ۾ ϴ 
	* @param
	*			status		:  ¸ ˷ش.(  , ,  )
	* @return 
	*			CALLBACK_RETURN_CANCEL		:  ۾ Ѵ.
	*			CALLBACK_RETURN_CONTINUE	:  ۾ Ѵ.
	*/
	BOOL Install();
private:
	tstring		m_installer_path;
	tstring		m_installer_param;
	int			m_installer_type;
	int			m_execute_option;
};